Skip to navigation

Get network topology by id.

View as Markdown

Retrieve network topology details by Universally Unique Identifier (UUID).

Authentication

AuthorizationBearer
Bearer authentication

Path parameters

networkTopologyIdstringRequiredformat: "uuid"
The unique identifier for the network topology

Response

Executed successfully.
clusterIdstringformat: "uuid"
The id of the cluster.
createdAtdatetime
The timestamp for when the network topology was created
idstringformat: "uuid"
The unique identifier for the network topology
levelslist of strings
Ordered array of network topology levels
namestringformat: "^[a-z]([a-z0-9-]*[a-z0-9])?$"1-63 characters
Name of the network topology
tenantIdinteger
The id of the tenant.
createdBystringOptional
Identifier of the user who created the network topology
groveTopologyobjectOptional
The linked Grove topology definition. Null if no Grove topology has been linked to this network topology
nodePoolslist of strings or nullOptionalRead-only

List of node-pools associated with this network topology

phasestringOptional

Phase of the network topology in the cluster. Enum: Creating, Ready

sourcestringOptionalformat: "^[a-zA-Z0-9][a-zA-Z0-9_.-]*[a-zA-Z0-9]$"1-63 characters

Identifier of the source of the topology. Useful for tracking where the topology data originated (e.g. control-plane, cluster).

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error